Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.support
[Groovy] Class GrailsTransactionTemplate.ThrowableHolder

    java.lang.Object
      org.codehaus.groovy.grails.orm.support.GrailsTransactionTemplate.ThrowableHolder

    static class GrailsTransactionTemplate.ThrowableHolder

Internal holder class for a Throwable, used as a return value from a TransactionCallback (to be subsequently unwrapped again).

Constructor Summary
`GrailsTransactionTemplate.ThrowableHolder(java.lang.Throwable throwable)`

Method Summary
`java.lang.Throwable` | `getThrowable()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsTransactionTemplate.ThrowableHolder

    GrailsTransactionTemplate.ThrowableHolder(java.lang.Throwable throwable)

Method Detail

### getThrowable

    java.lang.Throwable getThrowable()

Groovy Documentation